package GUIAnwendungen;

import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;

public class List {

	public static void main(String[] args) {

		JFrame frame = new JFrame("JList demo");
		frame.setSize(320, 360);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setLayout(null);

		// Erstellt ein neues DefaultListModel-Objekt, das als Datencontainer für die
		// Elemente der JList dient.
		// Es speichert die Liste der Elemente (z.B. Farben), die in der JList angezeigt
		// werden sollen.
		DefaultListModel model = new DefaultListModel();
		
		// Erstellt eine neue JList und weist ihr das zuvor erstellte DefaultListModel zu. 
		// Die JList zeigt die Elemente an, die im DefaultListModel gespeichert sind.
		JList list = new JList(model);
		
		// Erstellt ein JScrollPane (ein scrollbares Fenster) und fügt die JList darin ein. 
		// Dies ermöglicht das Scrollen, wenn die Liste mehr Elemente enthält, als im sichtbaren Bereich angezeigt werden können.
		JScrollPane listScrollPane = new JScrollPane(list);

		listScrollPane.setBounds(100, 40, 100, 230);

		model.addElement("red");
		model.addElement("blue");
		model.addElement("green");
		model.addElement("yellow");
		model.addElement("orange");
		model.addElement("brown");
		model.addElement("pink");
		model.addElement("purple");
		model.addElement("gray");
		model.addElement("black");
		model.addElement("white");

		frame.add(listScrollPane);

		frame.setVisible(true);

	}

}
